spring.application.name=medilab-preclinic
server.port=5001

spring.mvc.view.prefix=/WEB-INF/views/
spring.mvc.view.suffix=.jsp

#spring.h2.console.enabled=true
#spring.h2.console.path=/h2Console

spring.datasource.username=root
spring.datasource.password=root
spring.datasource.url=jdbc:mysql://localhost:3306/medilab_preclinic
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

spring.jpa.show-sql=true
spring.jpa.generate-ddl=true

# swagger-ui custom path
springdoc.swagger-ui.path=/swagger-ui.html

#reference documentation
#https://docs.spring.io/spring-security/site/docs/5.2.x/reference/html/oauth2.html
#spring.security.oauth2.client.registration.registrationId=auth0
#spring.security.oauth2.client.registration.auth0.client-id=aYls0GDFvUVPjO1LhPQMzMSqLh8a
#spring.security.oauth2.client.registration.auth0.client-secret=ZfUzJFmCxlTXEW5lSMh6q0fIaMsa
#spring.security.oauth2.client.registration.auth0.authorization-grant-type=authorization_code
#spring.security.oauth2.client.registration.auth0.scope=openid
#spring.security.oauth2.client.registration.auth0.redirect-uri=http://localhost:5001/dashboard
##spring.security.oauth2.client.registration.auth0.redirect-uri=https://localhost:9443/commonauth
#spring.security.oauth2.client.provider.auth0.token-uri=https://localhost:9443/oauth2/token
#spring.security.oauth2.client.provider.auth0.authorization-uri=https://localhost:9443/oauth2/authorize
#spring.security.oauth2.client.provider.auth0.user-info-uri=https://localhost:9443/oauth2/userinfo
#spring.security.oauth2.client.provider.auth0.issuer-uri=https://localhost:9443/oauth2/

spring.security.oauth2.client.registration.auth0.client-id=cyXGI0AYb57AEHwAtELOKBX8iBiYutyd
spring.security.oauth2.client.registration.auth0.client-secret=tAdLlo5C8sxO41fJ2yG9cAQXHUYl54_d25OV2S6gZhgNOKPJoPhisArBz2vKLJy0
#spring.security.oauth2.client.registration.auth0.authorization-grant-type=authorization_code
spring.security.oauth2.client.registration.auth0.scope=openid,profile,email
spring.security.oauth2.client.registration.auth0.redirect-uri=http://localhost:5001/dashboard
#spring.security.oauth2.client.registration.auth0.redirect-uri=https://localhost:9443/commonauth
#spring.security.oauth2.client.provider.auth0.token-uri=https://dev-h72o8jhh.auth0.com/oauth/token
#spring.security.oauth2.client.provider.auth0.authorization-uri=https://dev-h72o8jhh.auth0.com/authorize
#spring.security.oauth2.client.provider.auth0.user-info-uri=https://dev-h72o8jhh.auth0.com/userinfo
spring.security.oauth2.client.provider.auth0.issuer-uri=https://dev-h72o8jhh.auth0.com/
